{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"This operation returns a list of all IP addresses associated with your account. A sample of IP details is returned with each IP, including which Pools the IP is associated with, whether the IP is set to warm up automatically, and when the IP was last updated.\n\n### Limitations\n\nThe `is_parent_assigned` parameter and `pool` parameter cannot be used at the same time. By definition, an IP cannot be assigned to a Pool if it is not first enabled. You can use either the `before_key` or `after_key` in combination with the `limit` parameter to iterate through paginated results but not both.","properties":{"query":{"type":"object","properties":{"ip":{"type":"string","description":"Specifies an IP address. The `ip` query parameter can be used to filter results by IP address."},"limit":{"type":"integer","description":"Specifies the number of results to be returned by the API. This parameter can be used in combination with the `before_key` or `after_key` parameters to iterate through paginated results."},"after_key":{"type":"integer","description":"Specifies which items to be returned by the API. When the `after_key` is specified, the API will return items beginning from the first item after the item specified. This parameter can be used in combination with `limit` to iterate through paginated results."},"before_key":{"type":"string","description":"Specifies which items to be returned by the API. When the `before_key` is specified, the API will return items beginning from the first item before the item specified. This parameter can be used in combination with `limit` to iterate through paginated results."},"is_leased":{"type":"boolean","description":"Indicates whether an IP address is leased from Twilio SendGrid. If `false`, the IP address is not a Twilio SendGrid IP; it is a customer's own IP that has been added to their Twilio SendGrid account."},"is_enabled":{"type":"boolean","description":"Indicates if the IP address is billed and able to send email. This parameter applies to non-Twilio SendGrid APIs that been added to your Twilio SendGrid account. This parameter's value is `null` for Twilio SendGrid IP addresses."},"is_parent_assigned":{"type":"boolean","description":"A parent must be assigned to an IP address before the parent can send mail from the IP and before the address can be assigned to an IP pool. Set this parameter value to true to allow the parent to send mail from the IP and make the IP eligible for IP pool assignment using the IP pool endpoints."},"pool":{"type":"string","description":"Specifies the unique ID for an IP Pool. When included, only IP addresses belonging to the specified Pool will be returned."},"start_added_at":{"type":"integer","description":"The `start_added_at` and `end_added_at` parameters are used to set a time window. IP addresses that were added to your account in the specified time window will be returned. The `start_added_at` parameter sets the beginning of the time window."},"end_added_at":{"type":"integer","description":"The `start_added_at` and `end_added_at` parameters are used to set a time window. IP addresses that were added to your account in the specified time window will be returned. The `end_added_at` parameter sets the end of the time window."},"region":{"allOf":[{"$ref":"#/definitions/Region7"},{"type":"string"}],"description":"Allowed values are `all`, `eu`, and `us`. If you provide a specific region, results will include all pools that have at least one IP in the filtered region. If `all`, pools with at least one IP (regardless of region) will be returned. If the `region` filter is not provided, the query returns all pools, including empty ones."},"include_region":{"type":"boolean","default":false,"description":"Boolean indicating whether or not to return the IP Pool's region information in the response."}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false,"definitions":{"Region7":{"type":"string","enum":["all","eu","us"]}}},"name":"Get a List of all IP Addresses on your Account","id":"sendgrid.ip_address_management.listip","example":{},"maxRequests":1,"summary":false}}